Reveal an email for an organisation contact
curl --request PUT \
--url https://api.snitcher.com/v1/workspaces/{workspaceUuid}/contacts/{contactUuid}/reveal-email \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.snitcher.com/v1/workspaces/{workspaceUuid}/contacts/{contactUuid}/reveal-email"
headers = {"Authorization": "Bearer <token>"}
response = requests.put(url, headers=headers)
print(response.text)const options = {method: 'PUT', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.snitcher.com/v1/workspaces/{workspaceUuid}/contacts/{contactUuid}/reveal-email', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"uuid": "550e8400-e29b-41d4-a716-446655440000",
"email": "john@pirateinc.com",
"first_name": "John",
"last_name": "Doe",
"position": "CEO",
"headline": "CEO at Pirate Inc.",
"department": [
"IT"
],
"seniority": "Senior",
"linkedin_url": "https://linkedin.com/in/johndoe",
"location": {
"city": "Amsterdam",
"state": "North Holland",
"country": "Netherlands",
"country_code": "NL"
},
"profiles": [
{
"name": "Twitter",
"handle": "@pirateinc",
"url": "https://twitter.com/pirateinc"
}
]
}
}{
"success": false,
"message": "Email reveal limit reached"
}Contacts
Reveal an email for an organisation contact
PUT
/
v1
/
workspaces
/
{workspaceUuid}
/
contacts
/
{contactUuid}
/
reveal-email
Reveal an email for an organisation contact
Authorizations
Enter your personal access token (PAT) to authenticate
Path Parameters
The UUID of the workspace
Example:
"550e8400-e29b-41d4-a716-446655440000"
The UUID of the contact
Example:
"550e8400-e29b-41d4-a716-446655440000"
⌘I